// ============================================================
// Project				:	CityRPG
// Author				:	Iban
// Description			:	Code that operates the Nagging system.
// ============================================================

// ============================================================
// Section 1 : Object Initiation
// ============================================================
while(isObject(CRPG_Time))
{
	CRPG_Time.delete();
}

while(isObject(CRPG_Time_Frame))
{
	CRPG_Time_Frame.delete();
}

//exec($CRPG_C::Path @ "guis/time.gui");

// ============================================================
// Section 2 : Functions
// ============================================================
// Yeah, yeah, yeah.
// You can just remove this.
// It's OK.
// You won't break my heart.
// ... Much
function clientCmdNag_SendNag(%today, %all)
{
	if($CRPG_C::Active)
	{
		%nag = new GuiWindowCtrl() {
			profile = "CRPGWindowProfile";
			horizSizing = "left";
			vertSizing = "bottom";
			position = "384 288";
			extent = "200 150";
			minExtent = "48 92";
			visible = "1";
			maxLength = "255";
			resizeWidth = "0";
			resizeHeight = "0";
			canMove = "0";
			canClose = "1";
			canMinimize = "0";
			canMaximize = "0";
			minSize = "50 50";
			
			new GuiMLTextCtrl(CRPG_Donate_Text) {
				profile = "GuiDefaultProfile";
				horizSizing = "center";
				vertSizing = "bottom";
				position = "-18 28";
				extent = "236 16";
				minExtent = "8 8";
				visible = "1";
				lineSpacing = "2";
				allowColorChars = "0";
				maxChars = "-1";
				text = "<font:Arial:16><just:center>You\'ve played CityRPG for";
				maxBitmapHeight = "-1";
				selectable = "1";
			};
			new GuiMLTextCtrl() {
				profile = "GuiDefaultProfile";
				horizSizing = "center";
				vertSizing = "bottom";
				position = "-18 44";
				extent = "236 32";
				minExtent = "8 8";
				visible = "1";
				lineSpacing = "2";
				allowColorChars = "0";
				maxChars = "-1";
				maxBitmapHeight = "-1";
				selectable = "1";
				text = "<font:impact:32><just:center>" @ %today SPC "Hours Today";
			};
			new GuiMLTextCtrl() {
				profile = "GuiDefaultProfile";
				horizSizing = "center";
				vertSizing = "bottom";
				position = "-18 72";
				extent = "236 32";
				minExtent = "8 8";
				visible = "1";
				lineSpacing = "2";
				allowColorChars = "0";
				maxChars = "-1";
				maxBitmapHeight = "-1";
				selectable = "1";
				text = "<font:impact:32><just:center>" @ CRPG_Condense(%all) SPC "Hours Total";
			};
			new GuiBitmapButtonCtrl(CRPG_Donate) {
				profile = "GuiDefaultProfile";
				horizSizing = "center";
				vertSizing = "bottom";
				position = "-18 105";
				extent = "236 42";
				minExtent = "8 2";
				visible = "1";
				text = " ";
				groupNum = "-1";
				buttonType = "PushButton";
				bitmap = $CRPG_C::Path @ "/images/ui/btnDonate";
				lockAspectRatio = "1";
				alignLeft = "0";
				overflowImage = "0";
				mKeepCached = "0";
				mColor = "255 255 255 255";
				command = "CRPG_Donate_Text.onURL(\"bugs.ichverbot.com\");";
			};
		};
		
		%nag.closeCommand = %nag.getID() @ ".delete();";
		%nag.position = getWords(vectorSub(getRes() SPC "0", %nag.getExtent() SPC "0"), 0, 1);
		%nag.schedule(30000, "delete");
		NewChatHud.add(%nag);
		NewChatHud.pushToBack(%nag);
	}
}