// ============================================================
// Project				:	CityRPG
// Author				:	Iban
// Description			:	Code that operates the Campaign GUI.
// ============================================================

// ============================================================
// Section 1 : Object Initiation
// ============================================================
while(isObject(CRPG_Campaign))
{
	CRPG_Campaign.delete();
}

exec($CRPG_C::Path @ "guis/campaign.gui");

// ============================================================
// Section 2 : Functions
// ============================================================
function CRPG_Campaign::onWake(%gui)
{
	if($CRPG_C::Active)
	{
		CRPG_Campaign_Level.setValue("<just:center>Level" SPC CRPG_Datum.var["Campaign"]);
		CRPG_Campaign_MoneyRequired.setValue("<just:center>$" @ mFloor(100 * mPow(1.5, CRPG_Datum.var["CampaignCost"])) SPC "to Upgrade");
	}
}

function CRPG_Campaign::upgrade(%gui)
{
	commandToServer('Campaign_Upgrade');
}
